Subject: bug#33166: automake --add-missing does not install config.rpath when AM_ICONV is used

From: Hans-Bernhard Bröker <[email-masked]>
Date: Fri, 26 Oct 2018 21:54:24 +0200

Am 26.10.2018 um 17:06 schrieb Stuart Caie:
> Hello,
> 
> the automake macro AM_ICONV requires the auxiliary program config.rpath,
> however automake --add-missing will not install it.

That's because it's not automake's file.  Automake has no way of knowing
where to get that file from, nor a responsibility to do anything about it.

> Technically, AM_ICONV is not distributed with automake, and neither is
> is config.rpath. However, automake recognises config.rpath as a special
> file to distribute nonetheless.

That's not really automake doing that.  That's done by gettextize and
the autofoo code it adds to your project.

> If not, could there be some mechanism added to automake so other
> packages can tell it to add their required files? e.g. could gettext.m4
> which defines AM_ICONV include some special macro that tells automake
> that config.rpath is needed and can be found in <location> ?

Such mechanisms exist, and from the look of it, gettext is _already_
using them.